{% extends 'base.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <div class="ui segment" style="margin-top: 30px;">
        <h2 class="ui header" style="display: flex;">
            <i class="settings icon" style="margin-top: 10px;"></i>
            <div class="content">
                Utilisateurs
                <div class="sub header">Vos utilisateurs</div>
            </div>
        </h2>
        <div class="ui divider"></div>

        <div>
            <table class="ui celled table">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Email</th>
                    <th>Roles</th>
                    <th>Surname</th>
                    <th>Name</th>
                    <th class="action-header">
                        action
                        {% if is_granted('ROLE_ADMIN') %}
                            <a href="{{ path('user_new') }}"><i class="plus circle icon large popup" data-content="Créer un utilisateur"></i></a>
                        {% endif %}
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>
                        <td>{{ user.id }}</td>
                        <td>{{ user.email }}</td>
                        <td>
                            {% for role in user.roles %}
                                <span>
                        {% if role == 'ROLE_USER' %}
                            <span class="custom-button noselect">Utilisateur</span>
                        {% elseif role == 'ROLE_ADMIN' %}
                            <span class="custom-button noselect">Administrateur</span>
                        {% endif %}

                    </span>
                            {% endfor %}
                        </td>
                        <td>{{ user.surname }}</td>
                        <td>{{ user.name }}</td>
                        <td>
                            <div class="action-container">
                                <a href="{{ path('user_show', {'id': user.id}) }}"><img width="25" height="25" src="{{ asset('/Assets/img/more.png') }}" /></a>
                                {% if is_granted('ROLE_ADMIN') %}
                                    <a href="{{ path('user_edit', {'id': user.id}) }}"><img width="25" height="25" src="{{ asset('/Assets/img/writing.png') }}" /></a>
                                {% endif %}
                            </div>

                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="7">no records found</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>


{% endblock %}
